summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorOmar Vega Ramos <ovruni@gnu.org.pe>2016-11-17 18:46:17 -0500
committerOmar Vega Ramos <ovruni@gnu.org.pe>2016-11-17 18:46:17 -0500
commit6f3294b340bdc1849327b771d27b467a71f11196 (patch)
tree0d35b62d06efbd262b7c9cf64c44905733cfac28
parent70ba88cc9ce3a1f5ffd78fd784f82eb3330333d5 (diff)
emacs-git-26.0.50.127403-1: updating version
-rw-r--r--pcr/emacs-git/PKGBUILD149
-rw-r--r--pcr/emacs-git/emacs-git.install32
2 files changed, 115 insertions, 66 deletions
diff --git a/pcr/emacs-git/PKGBUILD b/pcr/emacs-git/PKGBUILD
index 3354dd2d9..04915517c 100644
--- a/pcr/emacs-git/PKGBUILD
+++ b/pcr/emacs-git/PKGBUILD
@@ -1,75 +1,152 @@
-# Maintainer (Arch): See AUR interface for current maintainer.
+# Maintainer (Arch): Pedro A. López-Valencia <https://aur.archlinux.org/users/vorbote>
# Maintainer: Omar Vega Ramos <ovruni@gnu.org.pe>
+
+#######################################################################
+# CAVEAT LECTOR
+#######################################################################
+#
+# Don't run this on a tmpfs unless you have oodles of RAM.
+# When the official git repo started, the size was about
+# 200MB. As time passes, it is growing more and more.
+# Final directory size after a build is shy of 1Gb!
+# Furthermore, the FSF isn't precisely rich and Savannah
+# network costs aren't cheap. Keep your git checkout!
+#
+# Keeping this directory in a safe place preserves the
+# git repo and the src dir for faster compilation if
+# you want. You may delete the pkg dir after successfully
+# creating a package.
+#
+# "makepkg -i" is your friend.
+#
+#######################################################################
+
+#######################################################################
+#
+# Still reading? Here kid, have enough rope to hang yourself. :-)
#
-# TIP: Don't run this on a tmpfs unless you have oodles of RAM.
-# When the official git repo started, the size was about
-# 200MB. As time passes, it will grow more and more.
+#######################################################################
+
+#######################################################################
+# Assign "YES" to the variable you want enabled, empty otherwise
+#
+# Where you read experimental, replace with foobar.
+# =============================================================
#
+#######################################################################
+GTK2= # Leave empty to compile with gtk+ 3 support.
+LTO= # Enable link-time optimization. Experimental.
+CAIRO= # Highly experimental.
+XWIDGETS= # Use GTK+ widgets pulled from webkitgtk. Experimental.
+DOCS_HTML= # Generate and install html documentation.
+DOCS_PDF= # Generate and install pdf documentation.
+#######################################################################
pkgname=emacs-git
-pkgver=25.1.50.r123464
+pkgver=26.0.50.127403
pkgrel=1
pkgdesc="GNU Emacs. Master development branch."
arch=('i686' 'x86_64')
url="http://www.gnu.org/software/emacs/"
license=('GPL')
-depends=('librsvg' 'gpm' 'giflib' 'libxpm' 'libotf' 'm17n-lib'
- 'gtk3' 'hicolor-icon-theme' 'desktop-file-utils'
- 'alsa-lib' 'imagemagick' 'gnutls')
+depends=('gpm' 'm17n-lib' 'alsa-lib' 'imagemagick')
makedepends=('git')
+#######################################################################
+#######################################################################
+if [[ $GTK2 = "YES" ]]; then
+ depends+=('gtk2');
+else
+ depends+=('gtk3');
+fi
+if [[ $CAIRO = "YES" ]]; then depends+=('cairo'); fi
+if [[ $XWIDGETS = "" ]]; then depends+=('giflib'); fi
+if [[ $XWIDGETS = "YES" ]]; then
+ if [[ $GTK2 = "YES" ]]; then
+ echo "";
+ echo "";
+ echo "Xwidgets support *requires* gtk+3!!!";
+ echo "";
+ echo "";
+ exit 1;
+ else
+ depends+=('webkit2gtk');
+ fi
+fi
+if [[ $DOCS_PDF = "YES" ]]; then makedepends+=('texlive-core'); fi
+#######################################################################
+#######################################################################
conflicts=('emacs')
provides=('emacs')
-install="$pkgname".install
source=("$pkgname::git://git.savannah.gnu.org/emacs.git")
+#source=("$pkgname::git+http://git.savannah.gnu.org/r/emacs.git")
md5sums=('SKIP')
pkgver() {
cd "$srcdir/$pkgname"
- printf "%s.r%s" \
- "$(grep AC_INIT configure.ac | sed -e 's/^.\+\ \([0-9]\+\.[0-9]\+\.[0-9]\+\).\+$/\1/')" \
+ printf "%s.%s" \
+ "$(grep AC_INIT configure.ac | \
+ sed -e 's/^.\+\ \([0-9]\+\.[0-9]\+\.[0-9]\+\?\).\+$/\1/')" \
"$(git rev-list --count HEAD)"
}
# There is no need to run autogen.sh after first checkout.
-# Doing so, breaks incremental recompilation.
+# Doing so, breaks incremental compilation.
prepare() {
cd "$srcdir/$pkgname"
- if ! [ -f configure ]; then
- ./autogen.sh
- fi
+
+ [[ -x configure ]] || ./autogen.sh
}
build() {
cd "$srcdir/$pkgname"
+ # Avoid hardening-wrapper (taken from emacs-pretest, thanks to Thomas Jost).
+ export PATH=$(echo "$PATH" | sed 's!/usr/lib/hardening-wrapper/bin!!g')
+
local _conf=(
--prefix=/usr
--sysconfdir=/etc
--libexecdir=/usr/lib
--localstatedir=/var
--mandir=/usr/share/man
- --pdfdir=/usr/share/doc/emacs/pdf
+ --with-gameuser=:games
--with-sound=alsa
- --without-gconf
- --with-x-toolkit=gtk3
- --with-xft)
-
- ./configure ${_conf[@]}
-
- # Using "make" instead of "make bootstrap" makes incremental
- # compiling work. Less time recompiling. Yay! But if you may
- # need to use bootstrap sometime, just add it below.
+ --with-xft
+ --with-modules)
+
+#######################################################################
+#######################################################################
+ if [[ $GTK2 = "YES" ]]; then
+ _conf+=('--with-x-toolkit=gtk2' '--with-gconf' '--without-gsettings');
+ else
+ _conf+=('--with-x-toolkit=gtk3' '--without-gconf' '--with-gsettings');
+ fi
+ if [[ $LTO = "YES" ]]; then _conf+=('--enable-link-time-optimization'); fi
+ if [[ $CAIRO = "YES" ]]; then _conf+=('--with-cairo'); fi
+ if [[ $XWIDGETS = "YES" ]]; then _conf+=('--with-xwidgets'); fi
+#######################################################################
+#######################################################################
+
+ ./configure "${_conf[@]}"
+
+ # Using "make" instead of "make bootstrap" enables incremental
+ # compiling. Less time recompiling. Yay! But if you may
+ # need to use bootstrap sometime, just add it to the command
+ # line.
+ # Please note that incremental compilation implies that you
+ # are reusing your src directory!
make
# You may need to run this if loaddefs.el files become
# corrupt.
#cd "$srcdir/$pkgname/lisp"
#make autoloads
+ #cd ../
- # Before enabling "make docs" you need to install texlive, either from
- # the repos or locally while using texlive-dummy from AUR.
- #make docs
+ # Optional documentation formats.
+ if [[ $DOCS_HTML = "YES" ]]; then make html; fi
+ if [[ $DOCS_PDF = "YES" ]]; then make pdf; fi
}
package() {
@@ -77,17 +154,14 @@ package() {
make DESTDIR="$pkgdir/" install
- # Before enabling "make install-doc" you need to install texlive, either
- # from the repos or locally while using texlive-dummy from AUR.
- # make DESTDIR="$pkgdir/" install-doc
+ # Install optional documentation formats
+ if [[ $DOCS_HTML = "YES" ]]; then make DESTDIR="$pkgdir/" install-html; fi
+ if [[ $DOCS_PDF = "YES" ]]; then make DESTDIR="$pkgdir/" install-pdf; fi
# remove conflict with ctags package
mv "$pkgdir"/usr/bin/{ctags,ctags.emacs}
mv "$pkgdir"/usr/share/man/man1/{ctags.1.gz,ctags.emacs.1.gz}
- # remove conflict with texinfo
- rm "$pkgdir"/usr/share/info/info.info.gz
-
# fix user/root permissions on usr/share files
find "$pkgdir"/usr/share/emacs/ | xargs chown root:root
@@ -96,6 +170,13 @@ package() {
chmod 775 "$pkgdir"/var/games
chmod 775 "$pkgdir"/var/games/emacs
chown -R root:games "$pkgdir"/var/games
+
+ # The logic used to install systemd's user service is partially broken
+ # under Arch Linux model, because it adds $DESTDIR as prefix to the
+ # final Exec targets. The fix is to hack it with an axe.
+ install -Dm644 etc/emacs.service "$pkgdir"/usr/lib/systemd/user/emacs.service
+ sed -i -e 's#\(ExecStart\=\)#\1\/usr\/bin\/#' -e 's#\(ExecStop\=\)#\1\/usr\/bin\/#' \
+ "$pkgdir"/usr/lib/systemd/user/emacs.service
}
# vim:set ft=sh ts=2 sw=2 et:
diff --git a/pcr/emacs-git/emacs-git.install b/pcr/emacs-git/emacs-git.install
deleted file mode 100644
index 6712f44ba..000000000
--- a/pcr/emacs-git/emacs-git.install
+++ /dev/null
@@ -1,32 +0,0 @@
-ICON_PATH=usr/share/icons/hicolor
-INFO_DIR=usr/share/info
-
-INFO_FILES=(ada-mode auth autotype bovine calc ccmode cl dbus dired-x ebrowse
-ede ediff edt efaq eieio eintr elisp emacs emacs-gnutls emacs-mime epa erc ert eshell eudc flymake
-forms gnus htmlfontify idlwave mairix-el message mh-e newsticker nxml-mode
-org pcl-cvs pgg rcirc reftex remember sasl sc semantic ses sieve smtpmail
-speedbar srecode tramp url vip viper widget wisent woman)
-
-post_install() {
- gtk-update-icon-cache -q -t -f ${ICON_PATH}
- update-desktop-database -q
-
- [[ -x usr/bin/install-info ]] || return 0
- for f in ${INFO_FILES[@]}; do
- install-info ${INFO_DIR}/$f.info.gz ${INFO_DIR}/dir 2> /dev/null
- done
-}
-
-post_upgrade() {
- post_install $1
-}
-
-pre_remove() {
- gtk-update-icon-cache -q -t -f ${ICON_PATH}
- update-desktop-database -q
-
- [[ -x usr/bin/install-info ]] || return 0
- for f in ${INFO_FILES[@]}; do
- install-info --delete ${INFO_DIR}/$f.info.gz ${INFO_DIR}/dir 2> /dev/null
- done
-}